Documentation
REST API - Feed versions
Last updated
Feed versions
The REST API feed versions endpoint provides a fast and flexible way to browse static GTFS feed versions contained in Transitland's archive.
Request overview
The feed versions API provides a number of searching and filtering parameters; results are based on this GraphQL query.
GEThttps://transit.land/api/v2/rest/feed_versions
- GET
https://transit.land/api/v2/rest/feed_versions.{format}Request feed versions in specified format - GET
https://transit.land/api/v2/rest/feed_versions/{feed_version_key}Request a feed version by ID or SHA1 - GET
https://transit.land/api/v2/rest/feed_versions/{feed_version_key}.{format}Request a feed version by ID or SHA1 in specified format - GET
https://transit.land/api/v2/rest/feeds/{feed_key}/feed_versionsRequest feed versions by feed ID or Onestop ID
Request
fetched_optional string (datetime)before - Filter for feed versions fetched earlier than given date time in UTC
fetched_optional string (datetime)after - Filter for feed versions fetched since given date time in UTC
afteroptional integer (int32)- Pagination cursor value. This should be treated as an opaque value created by the server and returned as the link to the next result page, which may be empty. For historical reasons, this is based on the integer record ID values, but that should not be assumed to be the case in the future.
Response
feed_array of FeedVersionversions - List or search for FeedVersions (specific archived import of a Feed)
feed_versions.sha1_nullable stringdir - SHA1 hash of the top-level .txt files, concatenated in filename order; stable across re-zipping, but other files such as locations.geojson are not included
Example:
c1026b895dbe7476c0a6dcc1b82c909bfa952c63 feed_versions.fetched_string (datetime)at - Time when the file was fetched from the URL
Example:
2019-11-15T00:45:55.409906 feed_versions.earliest_string (date)calendar_ date - The earliest date with scheduled service
Example:
2020-01-01 feed_versions.latest_string (date)calendar_ date - The latest date with scheduled service
Example:
2020-12-31
Downloading source GTFS
See also downloading static GTFS feed versions.
GEThttps://transit.land/api/v2/rest/feed_versions/{feed_version_key}/download